#import "ee_else_ce/runner/graphql/list/list_item.fragment.graphql"
#import "~/graphql_shared/fragments/page_info.fragment.graphql"

# Overrides CE Runners searches by adding a upgradeStatus

query getAllRunnersEE(
  $before: String
  $after: String
  $first: Int
  $last: Int
  $paused: Boolean
  $status: CiRunnerStatus
  $upgradeStatus: CiRunnerUpgradeStatus # Added in EE
  $type: CiRunnerType
  $tagList: [String!]
  $search: String
  $sort: CiRunnerSort
) {
  runners(
    before: $before
    after: $after
    first: $first
    last: $last
    paused: $paused
    status: $status
    upgradeStatus: $upgradeStatus # Added in EE
    type: $type
    tagList: $tagList
    search: $search
    sort: $sort
  ) {
    nodes {
      ...ListItem
      adminUrl
      editAdminUrl
    }
    pageInfo {
      __typename
      ...PageInfo
    }
  }
}
